Token lookup
curl --request GET \
--url https://data-api.b3.fun/insights/v1/tokens/lookupimport requests
url = "https://data-api.b3.fun/insights/v1/tokens/lookup"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/insights/v1/tokens/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chain_id": 1,
"token_address": "vitalik.eth",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"price_data": {
"price_usd": 123,
"usd_value": 123,
"volume_24h_usd": 123,
"market_cap_usd": 123,
"circulating_supply": 123,
"total_supply": 123,
"percent_change_24h": 123,
"price_timestamp": "<string>"
}
}
]
}insights/tokens
Token lookup
Look up a fungible token by symbol
GET
/
insights
/
v1
/
tokens
/
lookup
Token lookup
Query Parameters
The symbol(s) of the token to lookup. You can specify multiple symbols, up to a maximum of 10.
Use repeated query parameters, e.g., ?symbol=ETH&symbol=USDC.
Maximum array length:
10Example:
["ETH", "USDC"]
Use chain_id instead
Example:
[20, 56, 1]
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain
Example:
[20, 56, 1]
Response
Successful response
Show child attributes
Show child attributes
HypeDuel